#ifndef _INTERFACE_H
#define _INTERFACE_H

#include <wtypes.h>
#include "useful.h"

#define NUMSONARS     16

#define MaxChars   30000 
// maximum number of characters printable in the output box.

typedef struct {
	int sonar[NUMSONARS], xPos, yPos, angle, rVel,
		lVel, motorStatus;
	double bumper;
	unsigned char lastCommand;
} SensorType;

struct TextBufType {
	char b[2][MaxChars + 2];
	int currBuf, numLines, numChars;
}; // This struct is used in the implementation of OutputText().  

void ClearInputBox();
void GetInputBoxText(char *buf);
void GetLineInputBox(char *buf);
int GetFooClick();
int GetBarClick();
int GetLeftClick();
int GetRightClick();
int OpenSerial();
int Zero();
int Limp();
int ConfAc(int ta, int sa, int ra);
int ConfTimeout(int timeout);
int GS();
int RMove(int tspeed, int rspeed);
int VM(int tv, int sv, int rv);
int ConfSonars(int rate, int orderlist[]);
int SonarsOn();
int SonarsOff();
void SonarHideToggle();
void HideSonars();
void UnhideSonars();
int KeybdControl();
int Speak(char *fname);
void OutputText(char *buf);		

#endif
